'hammer erratum list' Gives 'Error: environment not found' If '--lifecycle-environment' Is Used.

09/22/2023 09:41 PM - Lucy Fu

Status: Closed   

Priority: Normal   

Assignee: Lucy Fu   

Category: Errata Management   

Target version: Katello 4.11.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 2097084 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/908

  

Description

Description of problem:

Executing:

1. hammer erratum list \

--organization-id=1 \

--content-view=rhel77_e4s \

--lifecycle-environment=Development \

--errata-restrict-installable=yes

...results in this output:

Error: environment not found.

 (I get the same error if I specify "Library".)  Yet, this slightly different command:

1. hammer erratum list \

--organization-id=1 \

--content-view=rhel77_e4s \

--lifecycle-environment-id=2 \

--errata-restrict-installable=yes

...succeeds.  FYI, lifecycle environment ID #2 is "Development":

1. hammer lifecycle-environment list \

--organization-id=1

---|-------------|--------

ID | NAME        | PRIOR

---|-------------|--------

2  | Development | Library

1  | Library     |

---|-------------|--------

Version-Release number of selected component (if applicable):

tfm-rubygem-hammer_cli-2.5.1-1.el7sat.noarch

Associated revisions

Revision ab9f1380 - 09/25/2023 02:52 PM - Lucy Fu

Fixes #36773 - hammer erratum list should support --lifecycle-environment (#908)

History

#1 - 09/22/2023 09:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lucy Fu

05/18/2024 1/2

https://projects.theforeman.org/issues/2


- Pull request https://github.com/Katello/hammer-cli-katello/pull/908 added

#2 - 09/25/2023 03:00 PM - Lucy Fu

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|ab9f1380b28d52ac075008b14a75bab2ad1239bd.

#3 - 09/27/2023 05:44 PM - Quinn James

- Subject changed from 'hammer erratum list' Gives 'Error: environment not found' If '--lifecycle-environment' Is Used.

 to 'hammer erratum list' Gives 'Error: environment not found' If '--lifecycle-environment' Is Used.

- Target version set to Katello 4.11.0

- Triaged changed from No to Yes
